Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.catalina.session
Class DistributedManager

    java.lang.Object
      |
      +--org.apache.catalina.session.ManagerBase
            |
            +--org.apache.catalina.session.PersistentManagerBase
                  |
                  +--org.apache.catalina.session.DistributedManager

All Implemented Interfaces:
  java.util.EventListener, Lifecycle, Manager, java.beans.PropertyChangeListener, java.lang.Runnable

public final class DistributedManager
extends PersistentManagerBase

This manager is responsible for in memory replication of Sessions across a defined Cluster. It could also utilize a Store to make Sessions persistence.

Version:
  $Revision: 1.4.2.1 $, $Date: 2002/01/03 10:44:33 $
Author:
  Bip Thelin

Field Summary
`protected static java.lang.String` | `name` The descriptive name of this Manager implementation (for logging).

Fields inherited from class org.apache.catalina.session.PersistentManagerBase
`lifecycle, threadDone`

Fields inherited from class org.apache.catalina.session.ManagerBase
`algorithm, container, debug, DEFAULT_ALGORITHM, digest, distributable, entropy, maxInactiveInterval, random, randomClass, recycled, SESSION_ID_BYTES, sessions, sm, support`

Fields inherited from interface org.apache.catalina.Lifecycle
`START_EVENT, STOP_EVENT`

Constructor Summary
`DistributedManager()`

Method Summary
`Session` | `createSession()` Create a Session and replicate it in our Cluster
`java.lang.String` | `getInfo()` Return descriptive information about this Manager implementation and the corresponding version number, in the format `<description>/<version>`.
`java.lang.String` | `getName()` Return the descriptive short name of this Manager implementation.
`void` | `processClusterReceiver()` Called from our background thread to process new received Sessions
`void` | `run()` The background thread that checks for session timeouts and shutdown.
`void` | `start()` Start this manager

Methods inherited from class org.apache.catalina.session.PersistentManagerBase
`addLifecycleListener, clearStore, findSession, getCheckInterval, getMaxActiveSessions, getMaxIdleBackup, getMaxIdleSwap, getMinIdleSwap, getSaveOnRestart, getStore, isSessionStale, isStarted, load, processExpires, processMaxActiveSwaps, processMaxIdleBackups, processMaxIdleSwaps, processPersistenceChecks, propertyChange, remove, removeLifecycleListener, setCheckInterval, setContainer, setMaxActiveSessions, setMaxIdleBackup, setMaxIdleSwap, setMinIdleSwap, setSaveOnRestart, setStarted, setStore, stop, swapIn, swapOut, threadSleep, threadStart, threadStop, unload, writeSession`

Methods inherited from class org.apache.catalina.session.ManagerBase
`add, addPropertyChangeListener, findSessions, generateSessionId, getAlgorithm, getContainer, getDebug, getDigest, getDistributable, getEngine, getEntropy, getJvmRoute, getMaxInactiveInterval, getRandom, getRandomClass, removePropertyChangeListener, setAlgorithm, setDebug, setDistributable, setEntropy, setMaxInactiveInterval, setRandomClass`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### name

    protected static java.lang.String name

  The descriptive name of this Manager implementation (for logging).

Constructor Detail

### DistributedManager

    public DistributedManager()

Method Detail

### getInfo

    public java.lang.String getInfo()

  Return descriptive information about this Manager implementation and the corresponding version number, in the format `<description>/<version>`.
  Overrides:
    `getInfo` in class `PersistentManagerBase`

### getName

    public java.lang.String getName()

  Return the descriptive short name of this Manager implementation.
  Overrides:
    `getName` in class `PersistentManagerBase`

### createSession

    public Session createSession()

  Create a Session and replicate it in our Cluster
  Overrides:
    `createSession` in class `PersistentManagerBase`
  Returns:
    The newly created Session

### start

    public void start()
               throws LifecycleException

  Start this manager
  Overrides:
    `start` in class `PersistentManagerBase`
  Throws:
    `LifecycleException` - if an error occurs

### processClusterReceiver

    public void processClusterReceiver()

  Called from our background thread to process new received Sessions

### run

    public void run()

  The background thread that checks for session timeouts and shutdown.
  Overrides:
    `run` in class `PersistentManagerBase`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2001 Apache Software Foundation. All Rights Reserved.